package com.lightinit.hsdatashow.mapper;

import com.lightinit.hsdatashow.entity.TechnicalProducts;
import com.lightinit.hsdatashow.entity.TechnicalProductsExample;
import java.util.List;
import org.apache.ibatis.annotations.Param;

public interface TechnicalProductsMapper {
    long countByExample(TechnicalProductsExample example);

    int deleteByExample(TechnicalProductsExample example);

    int deleteByPrimaryKey(Long id);

    int insert(TechnicalProducts record);

    int insertSelective(TechnicalProducts record);

    List<TechnicalProducts> selectByExample(TechnicalProductsExample example);

    TechnicalProducts selectByPrimaryKey(Long id);

    int updateByExampleSelective(@Param("record") TechnicalProducts record, @Param("example") TechnicalProductsExample example);

    int updateByExample(@Param("record") TechnicalProducts record, @Param("example") TechnicalProductsExample example);

    int updateByPrimaryKeySelective(TechnicalProducts record);

    int updateByPrimaryKey(TechnicalProducts record);

    List<TechnicalProducts> selectList(int year);
}